Bug 7885 - [UPDATE REQUEST 2014.1] acpid 2.0.28
: [UPDATE REQUEST 2014.1] acpid 2.0.28
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-21 20:48 MSD by Eugene Shatokhin
Modified: 2017-05-10 12:55 MSD (History)
2 users (show)

See Also:
RPM Package: acpid
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2017-04-21 20:48:02 MSD
Upstream update + removed an obsolete hack.
Comment 1 Eugene Shatokhin 2017-04-21 20:50:35 MSD
Advisory:
acpid was updated to version 2.0.28. Besides the upstream update, the custom handlers for power button events were removed to let the DE and/or systemd-logind handle things.


Build lists:
https://abf.io/build_lists/2869601
https://abf.io/build_lists/2869602
Comment 2 Vladimir Potapov 2017-04-27 10:53:09 MSD
before update 
апр 27 14:46:12 TT-TEST acpid[5751]: starting up with netlink and the input layer
апр 27 14:46:12 TT-TEST acpid[5751]: skipping incomplete file /etc/acpi/events/videoconf
апр 27 14:46:12 TT-TEST acpid[5751]: 1 rule loaded

after update
апр 27 14:49:41 TT-TEST acpid[5743]: starting up with netlink and the input layer
апр 27 14:49:41 TT-TEST acpid[5743]: skipping incomplete file /etc/acpi/events/videoconf
апр 27 14:49:41 TT-TEST acpid[5743]: 0 rules loaded


Is it correct?
Comment 3 Eugene Shatokhin 2017-04-27 13:35:40 MSD
(In reply to comment #2)
> before update 
> апр 27 14:46:12 TT-TEST acpid[5751]: starting up with netlink and the input
> layer
> апр 27 14:46:12 TT-TEST acpid[5751]: skipping incomplete file
> /etc/acpi/events/videoconf
> апр 27 14:46:12 TT-TEST acpid[5751]: 1 rule loaded
> 
> after update
> апр 27 14:49:41 TT-TEST acpid[5743]: starting up with netlink and the input
> layer
> апр 27 14:49:41 TT-TEST acpid[5743]: skipping incomplete file
> /etc/acpi/events/videoconf
> апр 27 14:49:41 TT-TEST acpid[5743]: 0 rules loaded
> 
> 
> Is it correct?

Looks so.

/etc/acpi/events/videoconf has all contents commented out intentionally - it is for very special cases. So, it is OK that this file is called "incomplete".

The other rule that was loaded before but is not loaded after the update is exactly that custom handler for power button events that I have removed.
Comment 4 Vladimir Potapov 2017-04-27 16:38:18 MSD
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2017-05-10 12:39:11 MSD
acpid-2.0.28-1
https://abf.io/build_lists/2869601
https://abf.io/build_lists/2869602
*********************** Advisory *************************
acpid was updated to version 2.0.28. Besides the upstream update, the custom handlers for power button events were removed to let the DE and/or systemd-logind handle things.
**********************************************************
QA Verified